complexType "FloatingRateCalculation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 11 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | floatingRateIndex, indexTenor?, floatingRateMultiplierSchedule?, spreadSchedule*, rateTreatment?, capRateSchedule*, floorRateSchedule*, initialRate?, finalRateRounding?, averagingMethod?, negativeInterestRateTreatment?
</...>

Content Model Elements (11):

  averagingMethod (defined in FloatingRateCalculation complexType),
  capRateSchedule,
  finalRateRounding,
  floatingRateIndex (defined in FloatingRateIndex.model group),
  floatingRateMultiplierSchedule,
  floorRateSchedule,
  indexTenor (defined in FloatingRateIndex.model group),
  initialRate,
  negativeInterestRateTreatment,
  rateTreatment,
  spreadSchedule (defined in FloatingRate complexType)

Known Direct Subtypes (1):

  InflationRateCalculation

All Direct / Indirect Based Elements (3):

  floatingRateCalculation,
  floatingRateCalculation (defined in InterestAccrualsMethod complexType),
  inflationRateCalculation

Known Usage Locations

- In derivations of other global types (1):
  InflationRateCalculation (as extension base)
- As direct type of elements (2):
  floatingRateCalculation,
  floatingRateCalculation (defined in InterestAccrualsMethod complexType)

Annotation
A type defining the floating rate and definitions relating to the calculation of floating rate amounts.
Type Definition Detail

Type Derivation Tree Rate (extension) FloatingRate (extension) FloatingRateCalculation

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="FloatingRateCalculation"> <xsd:complexContent> <xsd:extension base="FloatingRate"> <xsd:sequence> <xsd:element minOccurs="0" name="initialRate" type="xsd:decimal"/> <xsd:element minOccurs="0" name="finalRateRounding" type="Rounding"/> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/> <xsd:element minOccurs="0" name="negativeInterestRateTreatment" type="NegativeInterestRateTreatmentEnum"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/11)
averagingMethod

  Type: | AveragingMethodEnum, simple content

  If averaging is applicable, this component specifies whether a weighted or unweighted average method of calculation is to be used. The component must only be included when averaging applies.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Unweighted" | - | The arithmetic mean of the relevant rates for each reset date. See: http://www.FpML.org
  "Weighted" | - | The arithmetic mean of the relevant rates in effect for each day in a calculation period calculated by multiplying each relevant rate by the number of days such relevant rate is in effect, determining the sum of such products and dividing such sum by the number of days in the calculation period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/>

finalRateRounding

  Type: | Rounding, complex content

  The rounding convention to apply to the final rate used in determination of a calculation period amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="finalRateRounding" type="Rounding"/>

initialRate

  Type: | xsd:decimal, predefined, simple content

  The initial floating rate reset agreed between the principal parties involved in the trade. This is assumed to be the first required reset rate for the first regular calculation period. It should only be included when the rate is not equal to the rate published on the source implied by the floating rate index. An initial rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialRate" type="xsd:decimal"/>

negativeInterestRateTreatment

  Type: | NegativeInterestRateTreatmentEnum, simple content

  The specification of any provisions for calculating payment obligations when a floating rate is negative (either due to a quoted negative floating rate or by operation of a spread that is subtracted from the floating rate).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "NegativeInterestRateMethod" | - | Negative Interest Rate Method. Per 2000 ISDA Definitions, Section 6.4 Negative Interest Rates, paragraphs (b) and (c). See: http://www.FpML.org
  "ZeroInterestRateMethod" | - | Zero Interest Rate Method. Per 2000 ISDA Definitions, Section 6.4. Negative Interest Rates, paragraphs (d) and (e). See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="negativeInterestRateTreatment" type="NegativeInterestRateTreatmentEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.